Abduction 3.0.13 is not compatible with Firefox 10.0.1 Rated 4 out of 5 stars

Firefox says 3.0.13 will be disabled if Firefox is updated to 10.0.1.

This review is for a previous version of the add-on (3.0.8.1-signed.1-signed).